//RadioProbe
//Copyright © 2000-2001, Paul Yu

#include "RadioProbe.h"
#include "RadioProbeWindow.h"
#include "RadioProbeConstants.h"
#include <File.h>
#include <Path.h>
#include <FindDirectory.h>

RadioProbe::RadioProbe() : BApplication(kRadioProbeAppSig)
{
	/*	*/
}

void RadioProbe::ReadyToRun()
{
	RadioProbeWindow *w;
	BPath path;
	BFile file;
	BMessage archive;
	status_t err;

	if (((err = find_directory(B_USER_SETTINGS_DIRECTORY, &path)) < B_OK) ||
		((err = path.Append(kRadioProbePrefsFile)) < B_OK) ||
		((err = file.SetTo(path.Path(), B_READ_ONLY)) < B_OK) ||
		((err = archive.Unflatten(&file)) < B_OK))
		w = new RadioProbeWindow();
	else
		w = new RadioProbeWindow(&archive);
	 
	w->Show();
}
