//RadioProbe
//Copyright © 2000-2001, Paul Yu

#ifndef RadioProbeConstants_h
#define RadioProbeConstants_h

#include "RadioProbeLanguage.h"

#ifdef Electronic_Deconstruction

#define kRefreshRate 90000000
#define kIconFile "ed.c"
#define kViewColor 0, 0, 0
#define kLinkColor 82, 85, 82
#define kTextColor 222, 223, 222
#define kRadioProbeAppSig "application/x-vnd.pcky-RadioProbe-ED"
#define kRadioProbePrefsFile "Probe for Electronic Deconstruction"
#define kListenLink "http://users.dwx.com/~rance/ed/ed.m3u"
#define kReplicantName "Electronic Deconstruction"
#define kHTTPServer "users.dwx.com"
#define kSongURL "http://users.dwx.com/~rance/ed/newstatus.html"
#define kListenURL "http://users.dwx.com/~rance/ed/ed.m3u"
#define kListenFile "ed.m3u"
#define kWindowName "Electronic Deconstruction"

#endif

#ifdef Technospider

#define kRefreshRate 180000000
#define kIconFile "technospider.c"
#define kViewColor 203, 51, 51
#define kLinkColor 0, 51, 203
#define kTextColor 0, 0, 0
#define kRadioProbeAppSig "application/x-vnd.pcky-RadioProbe-TS"
#define kRadioProbePrefsFile "Probe for Technospider"
#define kListenLink "http://www.technospider.com/radio/techno.pls"
#define kReplicantName "Probe for Technospider"
#define kHTTPServer "www.technospider.com"
#define kSongURL "http://www.technospider.com/radio/index.cgi"
#define kListenURL "http://www.technospider.com/radio/techno.pls"
#define kListenFile "techno.pls"
#define kWindowName "Technospider Radio"

#endif

#ifdef BeOSRADIO

#define kRefreshRate 30000000
#define kIconFile "beosradio.c"
#define kViewColor 255, 152, 51
#define kLinkColor 0, 0, 255
#define kTextColor 0, 0, 0
#define kRadioProbeAppSig "application/x-vnd.pcky-RadioProbe-BR"
#define kRadioProbePrefsFile "Probe for BeOSRADIO"
#define kListenLink "http://www.BeOSRADIO.com"
#define kReplicantName "Probe for BeOSRADIO"
#define kHTTPServer "www.beosradio.com"
#define kSongURL "http://www.beosradio.com/current_song"
#define kWebURL "http://www.beosradio.com"
#define kLowURL "http://www.beosradio.com/playlist2.m3u"
#define kMedURL "http://www.beosradio.com/playlist.m3u"
#define kHighURL "http://www.beosradio.com/playlist3.m3u"
#define kListenFile "playlist.m3u"
#define kWindowName "BeOSRADIO"

#endif

#ifdef AngryRadio

#define kRefreshRate 30000000
#define kIconFile "angry.c"
#define kViewColor 152, 0, 152
#define kLinkColor 0, 0, 129
#define kTextColor 0, 0, 0
#define kRadioProbeAppSig "application/x-vnd.pcky-RadioProbe-AR"
#define kRadioProbePrefsFile "Probe for AngryRadio"
#define kListenLink "http://www.angryneighbor.net/playlist.m3u"
#define kReplicantName "Probe for AngryRadio"
#define kHTTPServer "www.angryneighbor.net"
#define kSongURL "http://www.angryneighbor.net/current_song"
#define kListenURL "http://www.angryneighbor.net/playlist.m3u"
#define kListenFile "playlist.m3u"
#define kWindowName "AngryRadio"

#endif

#define kUserAgent "RadioProbe/1.06"
#define kListenFileType "text/x-playlist"

#define P_UPDATE_CURRENT_SONG 'pUCS'
#define P_LAUNCH_PLAYLIST 'pLPL'
#define P_SET_SERVER 'pSSV'
#define P_SET_STREAM 'pSST'
#define P_ALWAYS_ON_TOP 'pAOT'
#define P_ALL_WORKSPACES 'pAWS'
#define P_NORMAL_BORDER 'pSNB'
#define P_SMALL_BORDER 'pSSB'
#define P_THICK_BORDER 'pSTB'
#define P_OUTLINE_BORDER 'pSOB'
#define P_NO_BORDER 'pSNO'
#define P_PROXY_SETUP 'pPXS'
#define P_PAUSE_UPDATE 'pPUD'
#define P_SET_COLORS 'pSTC'
#endif
