//RadioProbe

#ifndef RadioProbeLanguage_h
#define RadioProbeLanguage_h

//French
#ifdef RadioProbe_French

#define LISTEN "Ecouter: "
#define NO_CONNEXION "(Pas de connexion)"
#define SETTINGS_PROXY_HTTP "Paramètres de Proxy HTTP"
#define USE_PROXY "Utiliser le Proxy"
#define SERVER "Serveur:"
#define PORT "Port:"
#define CONNEXION "(Connexion)"
#define NETWORK_SERVER "(Serveur_reseau)"
#define TITLE "Titre:"
#define ARTIST "Artiste:"
#define PROPERTIES "Proprietés"
#define ABOUT "A Propos..."
#define ALWAYS_ON_TOP "Toujours Visible"
#define SHOW_ON_ALL_WORKSPACES "Visible sur tous les Workspaces"
#define TITLE_AND_BORDERS "Titre et Bordures"
#define NORMAL "Normal"
#define LITTLE "Petit"
#define THICK_BORDER "Bordure"
#define OUTLINE_BORDER "Contour"
#define NO_BORDER "Aucun"
#define PROXY "Proxy..."
#define PAUSE_UPDATING "Pause dans la mise à jour"
#define EXIT "Quitter"
#define FREEWARE "Freeware"
#define ABOUT_LINE_1 "RadioProbe v1.06"
#define ABOUT_LINE_2 "Copyright © 2000, Paul Yu"
#define IMPOSSIBLE_SAVE_PREFS "RadioProbe: Impossible de sauver les préferences"

#ifdef Technospider
#define ABOUT_LINE_3 "L'icône 'Araignée' appartient à Technospider Graphics."
#endif

#ifdef AngryRadio
#define ABOUT_LINE_3 "L'icône 'Antenne' appartient à AngryNeighbor."
#endif

#ifdef Electronic_Deconstruction
#define ABOUT_LINE_3 "L'icône 'Electronic Deconstruction' appartient à Ranceware Inc."
#endif

#ifdef BeOSRADIO
#define ABOUT_LINE_3 "L'icône 'Radio Antenna' appartient à BeOSRADIO."
#define ABOUT_LINE_4 "BeOSRADIO est disponible 7 jours par semaine, 12 heures par jour, de"
#define ABOUT_LINE_5 "dans votre zone."
#define TO "à"
#endif

#endif


//English
#ifdef RadioProbe_English

#define LISTEN "Listen at: "
#define NO_CONNEXION "(No connection)"
#define SETTINGS_PROXY_HTTP "HTTP Proxy Settings"
#define USE_PROXY "Enable Proxy"
#define SERVER "Server:"
#define PORT "Port:"
#define CONNEXION "(Connecting)"
#define NETWORK_SERVER "(net_server)"
#define TITLE "Title:"
#define ARTIST "Artist:"
#define PROPERTIES "Properties"
#define ABOUT "About..."
#define ALWAYS_ON_TOP "Always on Top"
#define SHOW_ON_ALL_WORKSPACES "Show on All Workspaces"
#define TITLE_AND_BORDERS "Title and Borders"
#define NORMAL "Normal"
#define LITTLE "Small"
#define THICK_BORDER "Border"
#define OUTLINE_BORDER "Outline"
#define NO_BORDER "None"
#define PROXY "Proxy..."
#define PAUSE_UPDATING "Pause Updating"
#define EXIT "Quit"
#define FREEWARE "Freeware"
#define ABOUT_LINE_1 "RadioProbe v1.06"
#define ABOUT_LINE_2 "Copyright © 2000, Paul Yu"
#define IMPOSSIBLE_SAVE_PREFS "RadioProbe: Unable to save preferences"

#ifdef Technospider
#define ABOUT_LINE_3 "The 'Spider' icons belong to Technospider Graphics."
#endif

#ifdef AngryRadio
#define ABOUT_LINE_3 "The 'Leaning Antenna' icons belong to AngryNeighbor."
#endif

#ifdef Electronic_Deconstruction
#define ABOUT_LINE_3 "The 'Electronic Deconstruction' icons belong to Ranceware Inc."
#endif

#ifdef BeOSRADIO
#define ABOUT_LINE_3 "The 'Radio Antenna' icons belong to BeOSRADIO."
#define ABOUT_LINE_4 "BeOSRADIO is heard 7 days a week, 12 hours a day, from"
#define ABOUT_LINE_5 "in your local area."
#define TO "to"
#endif

#endif


//Dutch/Nederlands
#ifdef RadioProbe_Dutch

#define LISTEN "Liuster op: "
#define NO_CONNEXION "(Geen Verbinding)"
#define SETTINGS_PROXY_HTTP "HTTP Proxy Voorkeur"
#define USE_PROXY "Gebruik Proxy"
#define SERVER "Server:"
#define PORT "Port:"
#define CONNEXION "(Bezig verbinding te maken)"
#define NETWORK_SERVER "(net_server)"
#define TITLE "Titel:"
#define ARTIST "Artiest:"
#define PROPERTIES "Voorkeur"
#define ABOUT "Over..."
#define ALWAYS_ON_TOP "Altijd boven"
#define SHOW_ON_ALL_WORKSPACES "In alle werkschermen"
#define TITLE_AND_BORDERS "Titel en Randen"
#define NORMAL "Normaal"
#define LITTLE "Klein"
#define THICK_BORDER "Dikke Rand"
#define OUTLINE_BORDER "Rand"
#define NO_BORDER "Geen"
#define PROXY "Proxy..."
#define PAUSE_UPDATING "Pauze Update"
#define EXIT "Stop"
#define FREEWARE "Gratis"
#define ABOUT_LINE_1 "RadioProbe v1.06"
#define ABOUT_LINE_2 "Copyright © 2000, Paul Yu"
#define TO "tot"
#define IMPOSSIBLE_SAVE_PREFS "BeOSRadioProbe: Kan voorkeur niet bewaren"

#ifdef Technospider
#define ABOUT_LINE_3 "De 'Spider' ikoon hoort toe aan Technospider Graphics"
#endif

#ifdef Electronic_Deconstruction
#define ABOUT_LINE_3 "De 'Electronic Deconstruction' ikoon hoort toe aan Ranceware Inc."
#endif

#ifdef AngryRadio
#define ABOUT_LINE_3 "De 'Antenna' ikoon hoort toe aan AngryNeighbor."
#endif

#ifdef BeOSRADIO
#define ABOUT_LINE_3 "De 'Radio Antenna' ikoon hoort bij BeOSRADIO."
#define ABOUT_LINE_4 "BeOSRADIO kun je hore 7 dagen per week, 12 uur per dag, van"
#define ABOUT_LINE_5 "in je omgeving."
#endif

#endif

//Portuguese

#ifdef RadioProbe_Portuguese

#define LISTEN "Escute: "
#define NO_CONNEXION "(sem ligação)"
#define SETTINGS_PROXY_HTTP "Definições HTTP Proxy"
#define USE_PROXY "Activar Proxy"
#define SERVER "Servidor:"
#define PORT "Port:"
#define CONNEXION "(Conectando)"
#define NETWORK_SERVER "(net_server)"
#define TITLE "Título:"
#define ARTIST "Artista:"
#define PROPERTIES "Propriedades"
#define ABOUT "Acerca de..."
#define ALWAYS_ON_TOP "Sempre no Tôpo"
#define SHOW_ON_ALL_WORKSPACES "Mostrar em todos os Workspaces"
#define TITLE_AND_BORDERS "Título e Linhas"
#define NORMAL "Normal"
#define LITTLE "Pequena"
#define THICK_BORDER "Linha"
#define OUTLINE_BORDER "Contorno"
#define NO_BORDER "Nenhuma"
#define PROXY "Proxy..."
#define EXIT "Sair"
#define FREEWARE "Freeware"
#define ABOUT_LINE_1 "RadioProbe v1.06"
#define ABOUT_LINE_2 "Copyright  2000, Paul Yu"
#define ABOUT_LINE_3 "Os icons 'Radio Antenna' pertencem a BeOSRADIO."
#define ABOUT_LINE_4 "BeOSRADIO is heard 7 days a week, 12 hours a day, from"
#define ABOUT_LINE_5 "in your local area."
#define IMPOSSIBLE_SAVE_PREFS "BeOSRadioProbe: Impossível guardar as configurações"
#define TO "para"
#define PAUSE_UPDATING "Pausar o Update"

#endif

//Norwegian
#ifdef RadioProbe_Norwegian

#define LISTEN "Hør På: "
#define NO_CONNEXION "(Ingen Forbindelse)"
#define SETTINGS_PROXY_HTTP "HTTP Proxy Innstilinger"
#define USE_PROXY "Bruke Proxy"
#define SERVER "Server:"
#define PORT "Port:"
#define CONNEXION "(Kobler til)"
#define NETWORK_SERVER "(net_server)"
#define TITLE "Tittel:"
#define ARTIST "Artist:"
#define PROPERTIES "Innstillinger"
#define ABOUT "Om RadioProbe"
#define ALWAYS_ON_TOP "Alltid på topp"
#define SHOW_ON_ALL_WORKSPACES "Vis i alle Workspaces"
#define TITLE_AND_BORDERS "Tittel and Grenser"
#define NORMAL "Normal"
#define LITTLE "Liten"
#define THICK_BORDER "Grense"
#define OUTLINE_BORDER "Ytterlinje"
#define NO_BORDER "Ingen"
#define PROXY "Proxy..."
#define PAUSE_UPDATING "Pause oppdatering"
#define EXIT "Quit"
#define FREEWARE "Freeware"
#define ABOUT_LINE_1 "RadioProbe v1.06"
#define ABOUT_LINE_2 "Copyright © 2000, Paul Yu"
#define IMPOSSIBLE_SAVE_PREFS "RadioProbe: Greier ikke å lagre innstillingene"

#ifdef BeOSRADIO
#define ABOUT_LINE_3 "Radio antenne ikonet hører til BeOSRADIO."
#endif

#endif

//Japanese
#ifdef RadioProbe_Japanese

#define LISTEN "放送局: "
#define NO_CONNEXION "(接続できません)"
#define SETTINGS_PROXY_HTTP "HTTP プロキシの設定"
#define USE_PROXY "プロキシを有効にする"
#define SERVER "サーバー:"
#define PORT "ポート:"
#define CONNEXION "(接続中)"
#define NETWORK_SERVER "(net_server)"
#define TITLE "タイトル:"
#define ARTIST "アーティスト:"
#define PROPERTIES "プロバティ"
#define ABOUT "バージョン情報..."
#define ALWAYS_ON_TOP "常に手前に表示"
#define SHOW_ON_ALL_WORKSPACES "すべてのワークスペースで表示"
#define TITLE_AND_BORDERS "タイトルと枠"
#define NORMAL "標準"
#define LITTLE "スモール"
#define THICK_BORDER "ボーダー"
#define OUTLINE_BORDER "アウトライン"
#define NO_BORDER "なし"
#define PROXY "プロキシ..."
#define PAUSE_UPDATING "更新停止"
#define EXIT "終了"
#define FREEWARE "Freeware"
#define ABOUT_LINE_1 "RadioProbe v1.06"
#define ABOUT_LINE_2 "著作権 © 2000, Paul Yu"
#define IMPOSSIBLE_SAVE_PREFS "RadioProbe:環境設定を保存できません。"

#ifdef Technospider
#define ABOUT_LINE_3 "Spider' アイコンは Technospider Graphics に属します。"
#endif

#ifdef AngryRadio
#define ABOUT_LINE_3 "'Leaning Antenna' アイコンは AngryNeighbor に属します。"
#endif

#ifdef Electronic_Deconstruction
#define ABOUT_LINE_3 "'Electronic Deconstruction' アイコンは Ranceware 社 に属します。"
#endif

#ifdef BeOSRADIO
#define ABOUT_LINE_3 "'Radio Antenna'アイコンは BeOSRADIO に属します。"
#define ABOUT_LINE_4 "あなたのローカル地域で BeOSRADIO は 1週当たり 7日、1日当たり 12時間"
#define ABOUT_LINE_5 "聞くことができます。"
#define TO "to"
#endif

#endif

#endif //header
